:root {
  --bg-color: #1c2340;
  --main-color: #00d9cd;
  --btn-color: #ff0049;
  --second-color: #ffce00;
  --section-color: #eef7fa;
}
body {
  font-family: "Roboto", sans-serif;
}

.main-btn {
  background-color: var(--btn-color);
  color: var(--second-color);
  padding: 0.5rem 1rem;
}
.btn:hover,
.btn-check:checked + .btn,
.btn.active,
.btn.show,
.btn:first-child:active,
:not(.btn-check) + .btn:active {
  background-color: var(--btn-color);
  color: var(--second-color);
}
.main-title::after {
  content: "";
  position: absolute;
  width: 120px;
  height: 2px;
  background: var(--main-color);
  margin-left: -60px;
  bottom: -20px;
}

/* Start Navbar */
.navbar {
  background-color: var(--bg-color);
}
.navbar .navbar-toggler:focus {
  box-shadow: none;
}
.navbar .navbar-nav .nav-link {
  color: #fff;
}
.navbar .navbar-nav .nav-link.active,
.navbar .navbar-nav .nav-link:hover {
  color: var(--main-color);
}
.search {
  color: var(--main-color);
  border-left: 2px solid var(--main-color);
}
/* End Navbar */
/* Start Go Up */
.up {
  bottom: 15px;
  right: 15px;
  width: 50px;
  height: 50px;
  background-color: var(--bg-color);
  opacity: 0.5;
  transition: 0.3;
  -webkit-transition: 0.3;
  -moz-transition: 0.3;
  -ms-transition: 0.3;
  -o-transition: 0.3;
  display: none;
  z-index: 1000;
}
.up:hover {
  opacity: 1;
}
.up .scroll-up {
  left: 50%;
  top: 50%;
  color: var(--second-color);
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
}
/* End Go Up */
/* Start Landing */
.landing {
  height: calc(100vh - 60px);
  background-color: var(--bg-color);
}
/* End Landing */
/* Start Features */
.services .icon-holder {
  height: 200px;
  left: 50%;
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -o-transform: translateX(-50%);
}
.services .icon-holder svg {
  left: 50%;
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -o-transform: translateX(-50%);
}
.services .icon-holder .number {
  font-size: 12rem;
  color: var(--section-color);
}
.services .icon-holder .icon {
  color: var(--main-color);
}
.services .feat h4 {
  color: var(--second-color);
}
/* End Features */
/* Start Our Gallery */
.our-gallery {
  background-color: var(--section-color);
}
.our-gallery ul .active {
  background-color: var(--btn-color);
  color: var(--second-color);
}
.our-gallery ul li {
  padding: 0.5rem 1rem;
  cursor: pointer;
}
.our-gallery ul li:not(.active):hover {
  color: var(--btn-color);
}
.our-gallery .box {
  padding: 5px;
  overflow: hidden;
}
.our-gallery .box::before {
  content: attr(data-work);
  position: absolute;
  width: calc(100% - 10px);
  height: calc(100% - 10px);
  font-size: 25px;
  font-weight: bold;
  color: #fff;
  background: #00d9cdcc;
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: center;
  transition: 0.3s;
  transform: translateX(calc(-100% - 5px));
  -webkit-transform: translateX(calc(-100% - 5px));
  -moz-transform: translateX(calc(-100% - 5px));
  -ms-transform: translateX(calc(-100% - 5px));
  -o-transform: translateX(calc(-100% - 5px));
  -webkit-transition: 0.3s;
  -moz-transition: 0.3s;
  -ms-transition: 0.3s;
  -o-transition: 0.3s;
}
.our-gallery .box:hover::before {
  transform: translateX(0);
  -webkit-transform: translateX(0);
  -moz-transform: translateX(0);
  -ms-transform: translateX(0);
  -o-transform: translateX(0);
}
/* End Our Gallery */

/* Start About */
.description {
  max-width: 500px;
}
/* End About */
/* Start Our Team */
.our-team {
  background-color: var(--section-color);
}
.our-team .team-description h2 {
  color: var(--second-color);
}
.our-team .member h4 {
  background-color: var(--main-color);
}
/* End Our Team */
/* Start Project */
.project {
  background-color: var(--bg-color);
}
/* End Project */
/* Start Subscribe */
.subscribe {
  background-color: var(--second-color);
}
.subscribe input[type="text"] {
  border: none;
  border-bottom: 1px solid #fff;
}
.subscribe input[type="text"]:focus {
  outline: none;
}
.subscribe input[type="submit"] {
  background-color: var(--bg-color);
  color: var(--second-color);
}
.subscribe ::placeholder {
  color: #fff;
}
/* End Subscribe */
/* Start Footer */
.footer {
  background-color: var(--bg-color);
}
.footer .content ul {
  padding: 0;
}
.footer .content ul li {
  list-style: none;
  padding-bottom: 0.5rem;
}
.footer a.me {
  color: var(--main-color);
  text-decoration: none;
  animation: fadeIn 1s;
  -webkit-animation: fadeIn 2s infinite ease-in-out;
}
.footer .copyright .name {
  color: var(--main-color);
}
.footer .copyright .company {
  color: var(--second-color);
}
.footer .facebook {
  background-color: #1877f2;
}
.footer .twitter {
  background-color: #1da1f2;
}
.footer .linkedin {
  background-color: #0077b5;
}
.footer .youtube {
  background-color: #ff0000;
}
/* End Footer */

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  20% {
    opacity: 0.2;
  }
  40% {
    opacity: 0.4;
  }
  60% {
    opacity: 0.6;
  }
  80% {
    opacity: 0.8;
  }
  100% {
    opacity: 1;
  }
}
